Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.common
Class DomainAccessToken

    java.lang.Object
      org.apache.slide.common.DomainAccessToken

public final class DomainAccessToken
extends java.lang.Object

Domain accessor token class.

Version:
  $Revision: 1.10 $

Field Summary
`(package private) boolean` | `canCreateNamespaces` True if enables creation of namespaces.
`(package private) boolean` | `canDeleteNamespaces` True if enables removal of namespaces.
`(package private) java.util.Hashtable` | `namespaceTokens` Default namespace associated with this token.

Constructor Summary
`(package private)` | `DomainAccessToken()` Constructor.

Method Summary
`(package private) void` | `addNamespaceToken(NamespaceAccessToken namespaceToken)` Add a namespace token to the hastable;
`void` | `createNewNamespace(java.lang.String namespaceName, java.io.Reader parameters)` Create a new namespace.
`NamespaceAccessToken` | `getNamespaceToken(java.lang.String namespaceName)` Get a namespace.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### namespaceTokens

    java.util.Hashtable namespaceTokens

  Default namespace associated with this token.

### canCreateNamespaces

    boolean canCreateNamespaces

  True if enables creation of namespaces.

### canDeleteNamespaces

    boolean canDeleteNamespaces

  True if enables removal of namespaces.

Constructor Detail

### DomainAccessToken

    DomainAccessToken()

  Constructor.

Method Detail

### getNamespaceToken

    public NamespaceAccessToken getNamespaceToken(java.lang.String namespaceName)

  Get a namespace.

  Parameters:
    `namespaceName` - Name of the namespace we want to access
  Returns:
    NamespaceToken null if no namespace of this name exists in the access token

### createNewNamespace

    public void createNewNamespace(java.lang.String namespaceName,
                                   java.io.Reader parameters)
                            throws SlideException

  Create a new namespace.

  Parameters:
    `namespaceName` - Name of the new namespace
  Throws:
    `SlideException`

### addNamespaceToken

    void addNamespaceToken(NamespaceAccessToken namespaceToken)

  Add a namespace token to the hastable;

  Parameters:
    `namespaceToken` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD